summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrew Jeffery <andrew@aj.id.au>2017-05-29 16:06:48 +0930
committerAndrew Jeffery <andrew@aj.id.au>2017-05-29 17:56:11 +0930
commit942223f095fed6ad60dd6b3dc6c2c8dae0f54e5d (patch)
tree38f3ffc4d61b1473ce458f83da2460eec46e22a8
parent385b46ea9c3159ed04fce0e9c6898bf7b59f5703 (diff)
downloadphosphor-mboxbridge-942223f095fed6ad60dd6b3dc6c2c8dae0f54e5d.tar.gz
phosphor-mboxbridge-942223f095fed6ad60dd6b3dc6c2c8dae0f54e5d.zip
ax_code_coverage: Ubuntu Zesty: Enable use of lcov 1.13
This works around the bug where Ubuntu Zesty's autoconf-archive package at version 20160916-1 doesn't support Zesty's lcov package, which is 1.13. This leads to a non-zero exit by ./configure when enabling code-coverage support on Zesty. Revert when Zesty isn't broken. Change-Id: I4050abdf9ea1b0ce7e131f334847f8f57a7281cc Signed-off-by: Andrew Jeffery <andrew@aj.id.au>
-rwxr-xr-xbootstrap.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 90a6951..eb8056f 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -15,6 +15,29 @@ then
fi
case "${BOOTSTRAP_MODE}" in
+ dev)
+ AX_CODE_COVERAGE_PATH="$(aclocal --print-ac-dir)"/ax_code_coverage.m4
+ if [ ! -e ${AX_CODE_COVERAGE_PATH} ];
+ then
+ echo "Failed to find AX_CODE_COVERAGE macro file at ${AX_CODE_COVERAGE_PATH}" 1>&2
+ exit 1
+ fi
+ LCOV_VERSION=$(lcov --version | tr ' ' '\n' | tail -1)
+
+ # Ubuntu Zesty ships with lcov v1.13, but Zesty's autoconf-archive
+ # package (the provider of the AX_CODE_COVERAGE macro) doesn't support
+ # it.
+ #
+ # sed-patch ax_code_coverage.m4 as it's GPLv3, and this is an Apache v2
+ # licensed repository. The licenses are not compatible in our desired
+ # direction[1].
+ #
+ # [1] https://www.apache.org/licenses/GPL-compatibility.html
+
+ cp ${AX_CODE_COVERAGE_PATH} m4/
+ sed -ri 's|(lcov_version_list=)"([ 0-9.]+)"$|\1"'${LCOV_VERSION}'"|' \
+ m4/ax_code_coverage.m4
+ ;;
clean)
test -f Makefile && make maintainer-clean
test -d linux && find linux -type d -empty | xargs -r rm -rf
OpenPOWER on IntegriCloud